﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Main_menu : Form
    {
        public Main_menu()
        {
            InitializeComponent();
            if (Authorization.admin)
            {
               button_sotr.Visible = true;
            }
        }

        private void button_lich_Click(object sender, EventArgs e)
        {
            Hide();
            Cabinet cab = new Cabinet();
            cab.Show();
            cab.Location = Location;
            BD.diagWrite("Переход на форму Личный кабинет");
        }

        private void Main_menu_Load(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * FROM Sotrydnik WHERE kod_user = {Authorization.id_user} ", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                string fio = Convert.ToString(sqlReader["surname"]);
                Fio.Text = fio;
                fio = Convert.ToString(sqlReader["name"]);
                fio = fio.Remove(1);
                Fio.Text += " " + fio + ".";
                fio = Convert.ToString(sqlReader["patronymic"]);
                fio = fio.Remove(1);
                Fio.Text += " " + fio + ".";
            }
        }

        private void button_exe_Click(object sender, EventArgs e)
        {
            Hide();
            Authorization avtor = new Authorization();
            avtor.Show();
            avtor.Location = Location;
            BD.diagWrite("Переход на форму Авторизация");
        }

        private void button_sotr_Click(object sender, EventArgs e)
        {
            Hide();
            Sotrudniki sotrudniki = new Sotrudniki();
            sotrudniki.Show();
            sotrudniki.Location = Location;
            BD.diagWrite("Переход на форму Сотрудники");
        }

        private void button_postavchikii_Click(object sender, EventArgs e)
        {
            Hide();
            Clients clients = new Clients();
            clients.Show();
            clients.Location = Location;
            BD.diagWrite("Переход на форму Клиенты");
        }

        private void button_tovar_Click(object sender, EventArgs e)
        {
            Hide();
            Tovar clothes = new Tovar();
            clothes.Show();
            clothes.Location = Location;
            BD.diagWrite("Переход на форму Товары");
        }


        private void button_proda_Click(object sender, EventArgs e)
        {
            Hide();
            Sale sale = new Sale();
            sale.Show();
            sale.Location = Location;
            BD.diagWrite("Переход на форму Продажи");
        }

        private void label2_Click(object sender, EventArgs e)
        {
            Hide();
            Cabinet cab = new Cabinet();
            cab.Show();
            cab.Location = Location;
            BD.diagWrite("Переход на форму Личный кабинет");
        }

        private void button_exe_MouseEnter(object sender, EventArgs e)
        {
            button_exe.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_exe_MouseLeave(object sender, EventArgs e)
        {
            button_exe.ForeColor = SystemColors.Highlight;
        }

        private void button_exe_MouseDown(object sender, MouseEventArgs e)
        {
            button_exe.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_postavchikii_MouseEnter(object sender, EventArgs e)
        {
            button_postavchikii.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_postavchikii_MouseLeave(object sender, EventArgs e)
        {
            button_postavchikii.ForeColor = SystemColors.Highlight;
        }

        private void button_postavchikii_MouseDown(object sender, MouseEventArgs e)
        {
            button_postavchikii.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_proda_MouseEnter(object sender, EventArgs e)
        {
            button_proda.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_proda_MouseLeave(object sender, EventArgs e)
        {
            button_proda.ForeColor = SystemColors.Highlight;
        }

        private void button_proda_MouseDown(object sender, MouseEventArgs e)
        {
            button_proda.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_tovar_MouseEnter(object sender, EventArgs e)
        {
            button_tovar.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_tovar_MouseLeave(object sender, EventArgs e)
        {
            button_tovar.ForeColor = SystemColors.Highlight;
        }

        private void button_tovar_MouseDown(object sender, MouseEventArgs e)
        {
            button_tovar.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_sotr_MouseEnter(object sender, EventArgs e)
        {
            button_sotr.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void button_sotr_MouseLeave(object sender, EventArgs e)
        {
            button_sotr.ForeColor = SystemColors.Highlight;
        }

        private void button_sotr_MouseDown(object sender, MouseEventArgs e)
        {
            button_sotr.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void Fio_MouseEnter(object sender, EventArgs e)
        {
            Fio.ForeColor = Color.Orange;
        }

        private void Fio_MouseLeave(object sender, EventArgs e)
        {
            Fio.ForeColor = SystemColors.Highlight;
        }
    }
}
