﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Cabinet : Form
    {
        public Cabinet()
        {
            InitializeComponent();
        }

        private void Cabinet_Load(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                SurnameCab.Text = Convert.ToString(sqlReader["surname"]);
                NameCab.Text = Convert.ToString(sqlReader["name"]);
                Name = Convert.ToString(sqlReader["name"]);
                PatronymicCab.Text = Convert.ToString(sqlReader["patronymic"]);
                BirthdCab.Value = Convert.ToDateTime(sqlReader["date_birthday"]);
                PhoneCab.Text = Convert.ToString(sqlReader["telephone"]);
                DolgnostCab.Text = Convert.ToString(sqlReader["name_dolgnosti"]);   
            }
            
        }

        private void SurnameCab_TextChanged(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if (SurnameCab.Text!= Convert.ToString(sqlReader["surname"]))
                {
                    ChangeBtn.Enabled = true;
                }
                else
                {
                    ChangeBtn.Enabled = false;
                }
            }
        }

        private void NameCab_TextChanged(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if (NameCab.Text != Convert.ToString(sqlReader["name"]))
                {
                    ChangeBtn.Enabled = true;
                }
                else
                {
                    ChangeBtn.Enabled = false;
                }
            }
        }

        private void PatronymicCab_TextChanged(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if (PatronymicCab.Text != Convert.ToString(sqlReader["patronymic"]))
                {
                    ChangeBtn.Enabled = true;
                }
                else
                {
                    ChangeBtn.Enabled = false;
                }
            }
        }

        private void BirthdCab_ValueChanged(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if (BirthdCab.Value != Convert.ToDateTime(sqlReader["date_birthday"]))
                {
                    ChangeBtn.Enabled = true;
                }
                else
                {
                    ChangeBtn.Enabled = false;
                }
            }
        }
        private void PhoneCab_MaskInputRejected(object sender, MaskInputRejectedEventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if (PhoneCab.Text != Convert.ToString(sqlReader["telephone"]))
                {
                    ChangeBtn.Enabled = true;
                }
                else
                {
                    ChangeBtn.Enabled = false;
                }
            }
        }

        private void ChangeBtn_Click(object sender, EventArgs e)
        {
            bool checkChange=false;
            SqlDataReader sqlReader = null;
        m1: SqlCommand command = new SqlCommand($"SELECT * , Dolgnosti.name_dolgnosti FROM Sotrydnik, Dolgnosti WHERE Sotrydnik.kod_user = {Authorization.id_user} and Dolgnosti.kod_dolgn = Sotrydnik.kod_dolgnosti", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                if(SurnameCab.Text != Convert.ToString(sqlReader["surname"]))
                {
                    command = new SqlCommand($"UPDATE Sotrydnik SET surname='{SurnameCab.Text}' WHERE Sotrydnik.kod_user = {Authorization.id_user}",BD.connect());
                    sqlReader = command.ExecuteReader();
                    ChangeBtn.Enabled = false;
                    checkChange=true;
                    goto m1;
                }
                if (NameCab.Text != Convert.ToString(sqlReader["name"]))
                {
                    command = new SqlCommand($"UPDATE Sotrydnik SET name='{NameCab.Text}' WHERE Sotrydnik.kod_user = {Authorization.id_user}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    ChangeBtn.Enabled = false;
                    checkChange = true;
                    goto m1;
                }
                if (PatronymicCab.Text != Convert.ToString(sqlReader["patronymic"]))
                {
                    command = new SqlCommand($"UPDATE Sotrydnik SET patronymic='{PatronymicCab.Text}' WHERE Sotrydnik.kod_user = {Authorization.id_user}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    ChangeBtn.Enabled = false;
                    checkChange = true;
                    goto m1;
                }
                if (BirthdCab.Value != Convert.ToDateTime(sqlReader["date_birthday"]))
                {
                    command = new SqlCommand($"UPDATE Sotrydnik SET date_birthday='{BirthdCab.Value}' WHERE Sotrydnik.kod_user = {Authorization.id_user}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    ChangeBtn.Enabled = false;
                    checkChange = true;
                    goto m1;
                }
                if (PhoneCab.Text != Convert.ToString(sqlReader["telephone"]))
                {
                    command = new SqlCommand($"UPDATE Sotrydnik SET telephone='{PhoneCab.Text}' WHERE Sotrydnik.kod_user = {Authorization.id_user}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    ChangeBtn.Enabled = false;
                    checkChange = true;
                    goto m1;
                }
                if (checkChange)
                {
                    MessageBox.Show("Данные были изменены", "Изменения данных", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
                }
            }
        }

        private void back_Click(object sender, EventArgs e)
        {
            Hide();
            Main_menu m = new Main_menu();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Меню");
        }

        private void goToChangePwd_Click(object sender, EventArgs e)
        {
            panChangePwdControl.Visible = true;
        }

        private void btn_goChangePdw_Click(object sender, EventArgs e)
        {
            SqlDataReader sqlDataReader = null;
            SqlCommand command = new SqlCommand($"SELECT * FROM Logines WHERE kod_user = {Authorization.id_user}",BD.connect());
            sqlDataReader = command.ExecuteReader();
            while (sqlDataReader.Read())
            {
                if (loginCheck.Text == Convert.ToString(sqlDataReader["login_user"]) && pwdCheck.Text == Convert.ToString(sqlDataReader["password_user"]))
                {
                    panChangePwd.Visible = true;
                    loginCheck.Text = null;
                    pwdCheck.Text = null;
                }
                else
                {
                    MessageBox.Show("Введены неправильные логин и/или пароль. Повторите ввод.", "Отказ в доступе", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void btn_backFromChangePwd_Click(object sender, EventArgs e)
        {
            panChangePwd.Visible=false;
            panChangePwdControl.Visible = false;
            oldPwd.Text = null;
            newPwd.Text = null;
        }

        private void btn_changeOldPwdToNewPwd_Click(object sender, EventArgs e)
        {
            SqlDataReader sqlDataReader = null;
            SqlCommand command = new SqlCommand($"SELECT * FROM Logines WHERE kod_user = {Authorization.id_user}", BD.connect());
            sqlDataReader = command.ExecuteReader();
            while (sqlDataReader.Read())
            {
                if(oldPwd.Text != "" && newPwd.Text != "")
                {
                    if (oldPwd.Text != newPwd.Text)
                    {
                        if (oldPwd.Text == Convert.ToString(sqlDataReader["password_user"]))
                        {
                            command = new SqlCommand($"UPDATE Logines SET password_user = {newPwd.Text} WHERE kod_user = {Authorization.id_user}", BD.connect());
                            sqlDataReader = command.ExecuteReader();
                            MessageBox.Show("Пароль изменен", "Смена пароля", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
                            panChangePwd.Visible = false;
                            panChangePwdControl.Visible = false;
                            oldPwd.Text = null;
                            newPwd.Text = null;
                        }
                        else
                        {
                            MessageBox.Show("Введен неправильный старый пароль. Повторите ввод.", "Отказ в доступе", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        }
                    }
                    else
                    {
                        MessageBox.Show("Старый и новый пароли совпадают", "Отказ в доступе", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    }
                }
                else
                {
                    MessageBox.Show("Заполните все поля", "Отказ в доступе", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void goToChangePwd_MouseEnter(object sender, EventArgs e)
        {
            goToChangePwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void goToChangePwd_MouseLeave(object sender, EventArgs e)
        {
            goToChangePwd.ForeColor = SystemColors.Highlight;
        }

        private void goToChangePwd_MouseDown(object sender, MouseEventArgs e)
        {
            goToChangePwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseEnter(object sender, EventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseLeave(object sender, EventArgs e)
        {
            back.ForeColor = SystemColors.Highlight;
        }

        private void back_MouseDown(object sender, MouseEventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void ChangeBtn_MouseEnter(object sender, EventArgs e)
        {
            ChangeBtn.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void ChangeBtn_MouseLeave(object sender, EventArgs e)
        {
            ChangeBtn.ForeColor = SystemColors.Highlight;
        }

        private void ChangeBtn_MouseDown(object sender, MouseEventArgs e)
        {
            ChangeBtn.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void btn_goChangePdw_MouseEnter(object sender, EventArgs e)
        {
            btn_goChangePdw.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void btn_goChangePdw_MouseLeave(object sender, EventArgs e)
        {
            btn_goChangePdw.ForeColor = SystemColors.Highlight;
        }

        private void btn_goChangePdw_MouseDown(object sender, MouseEventArgs e)
        {
            btn_goChangePdw.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void pictureBox1_Click(object sender, EventArgs e)
        {
            if (pwdCheck.UseSystemPasswordChar == false)
            {
                pwdCheck.UseSystemPasswordChar = true;
                pictureBox1.BackgroundImage = Properties.Resources.baseline_visibility_black_24dp;
            }
            else
            {
                pwdCheck.UseSystemPasswordChar = false;
                pictureBox1.BackgroundImage = Properties.Resources.baseline_visibility_off_black_24dp;
            }
        }

        private void btn_backFromChangePwd_MouseEnter(object sender, EventArgs e)
        {
            btn_backFromChangePwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void btn_backFromChangePwd_MouseLeave(object sender, EventArgs e)
        {
            btn_backFromChangePwd.ForeColor = SystemColors.Highlight;
        }

        private void btn_backFromChangePwd_MouseDown(object sender, MouseEventArgs e)
        {
            btn_backFromChangePwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void btn_changeOldPwdToNewPwd_MouseEnter(object sender, EventArgs e)
        {
            btn_changeOldPwdToNewPwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void btn_changeOldPwdToNewPwd_MouseLeave(object sender, EventArgs e)
        {
            btn_changeOldPwdToNewPwd.ForeColor = SystemColors.Highlight;
        }

        private void btn_changeOldPwdToNewPwd_MouseDown(object sender, MouseEventArgs e)
        {
            btn_changeOldPwdToNewPwd.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {
            if (oldPwd.UseSystemPasswordChar == false)
            {
                oldPwd.UseSystemPasswordChar = true;
                pictureBox2.BackgroundImage = Properties.Resources.baseline_visibility_black_24dp;
            }
            else
            {
                oldPwd.UseSystemPasswordChar = false;
                pictureBox2.BackgroundImage = Properties.Resources.baseline_visibility_off_black_24dp;
            }
        }

        private void pictureBox3_Click(object sender, EventArgs e)
        {
            if (newPwd.UseSystemPasswordChar == false)
            {
                newPwd.UseSystemPasswordChar = true;
                pictureBox3.BackgroundImage = Properties.Resources.baseline_visibility_black_24dp;
            }
            else
            {
                newPwd.UseSystemPasswordChar = false;
                pictureBox3.BackgroundImage = Properties.Resources.baseline_visibility_off_black_24dp;
            }
        }
    }
}
