﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Clients : Form
    {
        public Clients()
        {
            InitializeComponent();
            filtr.Items.Add("Фамилия");
            filtr.Items.Add("Имя");
            filtr.Items.Add("Город");
            filtr.Items.Add("Организация");
            filtr.DropDownStyle = ComboBoxStyle.DropDownList;

            SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city", BD.connect());
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void naiti_Click(object sender, EventArgs e)
        {
            SqlCommand command;
            SqlDataAdapter dataAdapter;
            if (filtr.Text == "Фамилия")
            {
                command = new SqlCommand("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city where fam_klienta LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else if (filtr.Text == "Имя")
            {
                command = new SqlCommand("SELECT kod_klienta  AS 'Код',   fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city where name_klienta LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if (filtr.Text == "Город")
            {
                command = new SqlCommand("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city where city LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if (filtr.Text == "Организация")
            {
                command = new SqlCommand("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city where organizach LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else
            {
                dataAdapter = new SqlDataAdapter("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city", BD.connect());

            }
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void back_Click(object sender, EventArgs e)
        {
            Hide();
            Main_menu m = new Main_menu();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Меню");
        }

        private void add_Click(object sender, EventArgs e)
        {
            Hide();
            Client_add m = new Client_add();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Добавления клиента");
        }

        private void delete_Click(object sender, EventArgs e)
        {
            //int kod = 0;
            //SqlDataReader sqlReader = null;
            // SqlCommand command = new SqlCommand("SELECT kod_user FROM Sotrydnik WHERE kod_sotrudnika = @kod", BD.connect());
            //command.Parameters.AddWithValue("kod", dataGridView1[0, dataGridView1.CurrentCell.RowIndex].Value);
            //sqlReader = command.ExecuteReader();
            //while (sqlReader.Read())
            //{
            //    kod = Convert.ToInt32(sqlReader["kod_user"]);
            //}
            try { 
            SqlCommand command = new SqlCommand("DELETE FROM Klient WHERE kod_klienta = @kod", BD.connect());
            command.Parameters.AddWithValue("kod", dataGridView1[0, dataGridView1.CurrentCell.RowIndex].Value);
            command.ExecuteNonQuery();

            //command = new SqlCommand("DELETE FROM Logines WHERE kod_user = @kod", BD.connect());
            //command.Parameters.AddWithValue("kod", kod);
            //command.ExecuteNonQuery();

            SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_klienta  AS 'Код',  fam_klienta AS 'Фамилия', name_klienta AS 'Имя', fio_klienta AS 'Отчество', telephone AS 'Телефон', city AS 'Город', organizach AS 'Организация' FROM Klient INNER JOIN City ON Klient.kod_city = City.kod_city", BD.connect());
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
            }
            catch
            {
                MessageBox.Show("Данный клиент используется в документе продажи, удалите для начала продажу", "Клиенты", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
            }

        private void naiti_MouseEnter(object sender, EventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void naiti_MouseLeave(object sender, EventArgs e)
        {
            naiti.ForeColor = SystemColors.Highlight;
        }

        private void naiti_MouseDown(object sender, MouseEventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseEnter(object sender, EventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseLeave(object sender, EventArgs e)
        {
            back.ForeColor = SystemColors.Highlight;
        }

        private void back_MouseDown(object sender, MouseEventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseEnter(object sender, EventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseLeave(object sender, EventArgs e)
        {
            delete.ForeColor = SystemColors.Highlight;
        }

        private void delete_MouseDown(object sender, MouseEventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseEnter(object sender, EventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseLeave(object sender, EventArgs e)
        {
            add.ForeColor = SystemColors.Highlight;
        }

        private void add_MouseDown(object sender, MouseEventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }
    }
    }


