﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Sale : Form
    {
        public Sale()
        {
            InitializeComponent();

            filtr.Items.Add("Продукт");
            filtr.Items.Add("ФИО сотрудника");
            filtr.Items.Add("ФИО клиента");
            filtr.Items.Add("Дата продажи");
            filtr.Items.Add("Марка автомобиля");
            filtr.DropDownStyle = ComboBoxStyle.DropDownList;

            SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client", BD.connect()); 
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void Sale_Load(object sender, EventArgs e)
        {

        }

        private void back_Click(object sender, EventArgs e)
        {
            Hide();
            Main_menu m = new Main_menu();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Меню");
        }

        private void delete_Click(object sender, EventArgs e)
        {
            int kod = 0;
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand("SELECT kod_proda FROM Prodacha WHERE kod_proda = @kod", BD.connect());
            command.Parameters.AddWithValue("kod", dataGridView1[0, dataGridView1.CurrentCell.RowIndex].Value);
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                kod = Convert.ToInt32(sqlReader["kod_proda"]);
            }

            command = new SqlCommand("DELETE FROM Prodacha WHERE kod_proda = @kod", BD.connect());
            command.Parameters.AddWithValue("kod", dataGridView1[0, dataGridView1.CurrentCell.RowIndex].Value);
            command.ExecuteNonQuery();

            SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client", BD.connect());
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void add_Click(object sender, EventArgs e)
        {
            Hide();
            Sale_add m = new Sale_add();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Добавление продажи");
        }

        private void naiti_Click(object sender, EventArgs e)
        {
            SqlCommand command;
            SqlDataAdapter dataAdapter;
            if (filtr.Text == "Продукт")
            {
                command = new SqlCommand("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client  WHERE Names LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else if (filtr.Text == "ФИО сотрудника")
            {
                command = new SqlCommand("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client WHERE surname +' '+ name +' '+ patronymic LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if (filtr.Text == "ФИО клиента")
            {
                command = new SqlCommand("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client WHERE fam_klienta+' '+name_klienta+' '+fio_klienta LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if(filtr.Text == "Дата продажи")
            {
                command = new SqlCommand("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client WHERE date_sale LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else if (filtr.Text == "Марка автомобиля")
            {
                command = new SqlCommand("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client WHERE marka LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else
            {
                dataAdapter = new SqlDataAdapter("SELECT kod_proda AS 'Код', Names AS 'Продукт',marka AS 'Марка автомобиля',surname+' '+name+' '+patronymic AS 'ФИО сотрудника', date_sale AS 'Дата продажи',Prodacha.kolich AS 'Количество',fam_klienta+' '+name_klienta+' '+fio_klienta AS 'ФИО клиента',cost*Prodacha.kolich AS 'Сумма продажи' FROM Prodacha INNER JOIN Products ON Products.kod_products = Prodacha.kod_product INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa INNER JOIN Sotrydnik ON Sotrydnik.kod_sotrudnika = Prodacha.kod_sotrudnika INNER JOIN Klient ON Klient.kod_klienta = Prodacha.kod_client", BD.connect());

            }
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void naiti_MouseEnter(object sender, EventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void naiti_MouseLeave(object sender, EventArgs e)
        {
            naiti.ForeColor = SystemColors.Highlight;
        }

        private void naiti_MouseDown(object sender, MouseEventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseEnter(object sender, EventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseLeave(object sender, EventArgs e)
        {
            back.ForeColor = SystemColors.Highlight;
        }

        private void back_MouseDown(object sender, MouseEventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseEnter(object sender, EventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseLeave(object sender, EventArgs e)
        {
            delete.ForeColor = SystemColors.Highlight;
        }

        private void delete_MouseDown(object sender, MouseEventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseEnter(object sender, EventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseLeave(object sender, EventArgs e)
        {
            add.ForeColor = SystemColors.Highlight;
        }

        private void add_MouseDown(object sender, MouseEventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }
    }
}
