﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Sale_add : Form
    {
        public int n;
        public int stoim;
        public int idProduct, idMarki, kodProd, kodSotr, kodClient;
        public Sale_add()
        {
            InitializeComponent();

            cbFill();
            product.DropDownStyle = ComboBoxStyle.DropDownList;
            marka.DropDownStyle = ComboBoxStyle.DropDownList;
            Client.DropDownStyle = ComboBoxStyle.DropDownList;
        }

        private void cbFill()
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand("SELECT * FROM Tipst", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                product.Items.Add(sqlReader["Names"]);
            }
            sqlReader.Close();
            command = new SqlCommand("SELECT * FROM Marki", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                marka.Items.Add(sqlReader["marka"]);
            }
            sqlReader.Close();
            command = new SqlCommand("SELECT fam_klienta+' '+name_klienta+' '+fio_klienta AS 'fioClient' FROM Klient", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                Client.Items.Add(sqlReader["fioClient"]);
            }
            sqlReader.Close();
        }

        private void Sale_add_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }

        private void marka_SelectedIndexChanged(object sender, EventArgs e)
        {
            
        }

        private void product_SelectedIndexChanged(object sender, EventArgs e)
        {
            
        }

        private void Sale_add_Load(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT surname + ' ' + name + ' ' + patronymic AS fiostr FROM Sotrydnik WHERE Sotrydnik.kod_user = {Authorization.id_user}", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                fioSot.Text = Convert.ToString(sqlReader["fiostr"]);
            }
            sqlReader.Close();
        }

        private void product_SelectionChangeCommitted(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * FROM Tipst WHERE Names = '{product.Text}'", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                idProduct = Convert.ToInt32(sqlReader["kod_tipa_stekla"]);
            }
            command = new SqlCommand($"SELECT COUNT (marka) FROM Products INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin WHERE Products.kod_tipa = {idProduct}", BD.connect());
            object result = command.ExecuteScalar();
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {

                int count = Convert.ToInt32(result);
                if (count > 0 && marka.SelectedIndex == -1)
                {
                    command = new SqlCommand($"SELECT marka FROM Products INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin WHERE Products.kod_tipa = {idProduct}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    marka.Items.Clear();
                    while (sqlReader.Read())
                    {
                        marka.Items.Add(sqlReader["marka"]);
                    }
                }
                else if (count <= 0 && marka.SelectedIndex == -1)
                {
                    marka.Items.Clear();
                }
                else if (count > 0 && marka.SelectedIndex > -1)
                {
                    command = new SqlCommand($"SELECT marka FROM Products INNER JOIN Marki ON Marki.kod_marki = Products.kod_markomashin WHERE Products.kod_tipa = {idProduct}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    //int sel1 = marka.SelectedIndex;
                    string mar = marka.Text;
                    marka.Items.Clear();
                    while (sqlReader.Read())
                    {
                        marka.Items.Add(sqlReader["marka"]);
                    }
                    //marka.SelectedIndex = sel1;
                    marka.Text = mar;
                }
                else
                {
                    marka.Text = marka.Text;
                }
            }
            sqlReader.Close();
        }

        private void add_MouseEnter(object sender, EventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseLeave(object sender, EventArgs e)
        {
            add.ForeColor = SystemColors.Highlight;
        }

        private void add_MouseDown(object sender, MouseEventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseEnter(object sender, EventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseLeave(object sender, EventArgs e)
        {
            back.ForeColor = SystemColors.Highlight;
        }

        private void back_MouseDown(object sender, MouseEventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void Summa_ValueChanged(object sender, EventArgs e)
        {

        }

        private void marka_SelectionChangeCommitted(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT * FROM Marki WHERE marka ='{marka.Text}'", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                idMarki = Convert.ToInt32(sqlReader["kod_marki"]);
            }
            command = new SqlCommand($"SELECT COUNT (Names) FROM Products INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa WHERE Products.kod_markomashin = {idMarki}", BD.connect());
            object result2 = command.ExecuteScalar();
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {

                int count = Convert.ToInt32(result2);
                if (count > 0 && product.SelectedIndex == -1)
                {
                    command = new SqlCommand($"SELECT Names FROM Products INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa WHERE Products.kod_markomashin = {idMarki}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    product.Items.Clear();
                    while (sqlReader.Read())
                    {
                        product.Items.Add(sqlReader["Names"]);
                    }
                }
                else if (count <= 0 && product.SelectedIndex == -1)
                {
                    product.Items.Clear();
                }
                else if (count > 0 && product.SelectedIndex > -1)
                {
                    command = new SqlCommand($"SELECT Names FROM Products INNER JOIN Tipst ON Tipst.kod_tipa_stekla = Products.kod_tipa WHERE Products.kod_markomashin = {idMarki}", BD.connect());
                    sqlReader = command.ExecuteReader();
                    //int sel = product.SelectedIndex;
                    string pro = product.Text;
                    product.Items.Clear();
                    while (sqlReader.Read())
                    {
                        product.Items.Add(sqlReader["Names"]);
                    }
                    //product.SelectedIndex = sel;
                    product.Text = pro;
                }
                else
                {
                    product.Text = product.Text;
                }
            }
            sqlReader.Close();
        }

        private void back_Click(object sender, EventArgs e)
        {
            Hide();
            Sale sale = new Sale();
            sale.Show();
            sale.Location = Location;
            BD.diagWrite("Переход на форму Продажи");
        }

        private void add_Click(object sender, EventArgs e)
        {
           
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT kod_products FROM Products WHERE kod_tipa = {idProduct} and kod_markomashin = {idMarki}", BD.connect());
            sqlReader=command.ExecuteReader();
            while (sqlReader.Read())
            {
                kodProd = Convert.ToInt32(sqlReader["kod_products"]);
            }
            command = new SqlCommand($"SELECT kod_sotrudnika FROM Sotrydnik WHERE kod_user = {Authorization.id_user}", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                kodSotr = Convert.ToInt32(sqlReader["kod_sotrudnika"]);
            }
            command = new SqlCommand($"SELECT kod_klienta FROM Klient WHERE fam_klienta+' '+name_klienta+' '+fio_klienta = '{Client.Text}'", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                kodClient = Convert.ToInt32(sqlReader["kod_klienta"]);
            }
            string date = dateSale.Value.ToString("yyyy-MM-dd");
            command = new SqlCommand($"INSERT INTO Prodacha Values({kodProd},{kodSotr},'{date}',{Kolvo.Value},{kodClient})", BD.connect());
            command.ExecuteNonQuery();
            command = new SqlCommand($"UPDATE Products SET Products.kolich = Products.kolich - {Kolvo.Value} WHERE kod_tipa = {idProduct} and kod_markomashin = {idMarki}", BD.connect());
            command.ExecuteNonQuery();
            MessageBox.Show("Новая продажа создана!", "Добавление успешно!", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
            product.Text = null;
            marka.Text = null;
            fioSot.Text = null;
            dateSale.Text = null;
            Kolvo.Value = 0;
            Client.Text = null;
            product.Items.Clear();
            marka.Items.Clear();
            cbFill();
        }

        public void Kolvo_ValueChanged(object sender, EventArgs e)
        {
            SqlDataReader sqlReader = null;
            SqlCommand command = new SqlCommand($"SELECT cost*{Kolvo.Value} AS 'stoimost',kolich FROM Products WHERE kod_tipa = {idProduct} and kod_markomashin = {idMarki}", BD.connect());
            sqlReader = command.ExecuteReader();
            while (sqlReader.Read())
            {
                Summa.Value = Convert.ToInt32(sqlReader["stoimost"]);
                if (Kolvo.Value >Convert.ToInt32(sqlReader["kolich"]))
                {
                    MessageBox.Show($"На данный момент данного продукта имеется максимум {Convert.ToInt32(sqlReader["kolich"])} шт.","Ошибка количества",MessageBoxButtons.OK,MessageBoxIcon.Error);
                    Kolvo.Value = Convert.ToInt32(sqlReader["kolich"]);
                }
            }
            sqlReader.Close();

        }
        public int podsch(string st, string kold)
        {
            if (st == "")
            {
                int s = 0;
                int ss = Convert.ToInt32(st);
                int sum = s * ss;
                return sum;
            }
            else
            {
                int s = Convert.ToInt32(kold);
                int ss = Convert.ToInt32(st);
                int sum = s * ss;
                return sum;
            }
        }
    }
}
