﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Glass
{
    public partial class Tovar : Form
    {
        public Tovar()
        {
            InitializeComponent();
            filtr.Items.Add("Марка автомобиля");
            filtr.Items.Add("Тип стекла");
            filtr.Items.Add("Количество");
            filtr.Items.Add("Артикул");
            filtr.DropDownStyle = ComboBoxStyle.DropDownList;

            SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla", BD.connect());
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void Tovar_Load(object sender, EventArgs e)
        {

        }

        private void back_Click(object sender, EventArgs e)
        {
            Hide();
            Main_menu m = new Main_menu();
            m.Show();
            m.Location = Location;
            BD.diagWrite("Переход на форму Меню");
        }

        private void add_Click(object sender, EventArgs e)
        {
            Hide();
            Tovar_add t = new Tovar_add();
            t.Show();
            t.Location = Location;
            BD.diagWrite("Переход на форму Добавления товара");
        }

        private void naiti_Click(object sender, EventArgs e)
        {
            SqlCommand command;
            SqlDataAdapter dataAdapter;
            if (filtr.Text == "Марка автомобиля")
            {
                command = new SqlCommand("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla where marka LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else if (filtr.Text == "Тип стекла")
            {
                command = new SqlCommand("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla where Names LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if (filtr.Text == "Количество")
            {
                command = new SqlCommand("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla where kolich LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);

            }
            else if (filtr.Text == "Артикул")
            {
                command = new SqlCommand("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla where articl LIKE @value", BD.connect());
                command.Parameters.AddWithValue("value", "%" + textBox_filtr.Text + "%");
                dataAdapter = new SqlDataAdapter(command);
            }
            else
            {
                dataAdapter = new SqlDataAdapter("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla", BD.connect());

            }
            DataSet dataset = new DataSet();
            dataAdapter.Fill(dataset);
            dataGridView1.DataSource = dataset.Tables[0];
            foreach (DataGridViewColumn column in dataGridView1.Columns)
            {
                column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
            }
        }

        private void delete_Click(object sender, EventArgs e)
        {
            try
            {
                SqlCommand command = new SqlCommand("DELETE FROM Products WHERE kod_products = @kod", BD.connect());
                command.Parameters.AddWithValue("kod", dataGridView1[0, dataGridView1.CurrentCell.RowIndex].Value);
                command.ExecuteNonQuery();
                SqlDataAdapter dataAdapter = new SqlDataAdapter("SELECT kod_products  AS 'Код',  marka AS 'Марка машины', Names AS 'Тип стекла', cost AS 'Цена', kolich AS 'Количество', articl AS 'Артикул' FROM Products INNER JOIN Marki ON Products.kod_markomashin = Marki.kod_marki INNER JOIN Tipst ON Products.kod_tipa = Tipst.kod_tipa_stekla", BD.connect());
                DataSet dataset = new DataSet();
                dataAdapter.Fill(dataset);
                dataGridView1.DataSource = dataset.Tables[0];
                foreach (DataGridViewColumn column in dataGridView1.Columns)
                {
                    column.AutoSizeMode = DataGridViewAutoSizeColumnMode.AllCells;
                }
        }
            catch
            {
                MessageBox.Show("Данный товар используется с документе продажи, для начала удалите документ продажи", "Товары", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
}

        private void naiti_MouseEnter(object sender, EventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void naiti_MouseLeave(object sender, EventArgs e)
        {
            naiti.ForeColor = SystemColors.Highlight;
        }

        private void naiti_MouseDown(object sender, MouseEventArgs e)
        {
            naiti.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseEnter(object sender, EventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void back_MouseLeave(object sender, EventArgs e)
        {
            back.ForeColor = SystemColors.Highlight;
        }

        private void back_MouseDown(object sender, MouseEventArgs e)
        {
            back.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseEnter(object sender, EventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void delete_MouseLeave(object sender, EventArgs e)
        {
            delete.ForeColor = SystemColors.Highlight;
        }

        private void delete_MouseDown(object sender, MouseEventArgs e)
        {
            delete.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseEnter(object sender, EventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }

        private void add_MouseLeave(object sender, EventArgs e)
        {
            add.ForeColor = SystemColors.Highlight;
        }

        private void add_MouseDown(object sender, MouseEventArgs e)
        {
            add.ForeColor = Color.FromArgb(100, 237, 237, 237);
        }
    }
}
